Skip to main content

Update an invoice

Updates the specified invoice by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Parameters​

client
nullable string
The unique identifier of a client user.
currency
string
Three-letter ISO currency code.
discounts
associative array
Discounts which are going to be applied to the invoice.
due_date_in_days
nullable number
Days in which the invoice is due after it has been finalized.
due_reminder_message
nullable string
Message which will be when the due reminder is sent.
due_reminder_send_days
nullable number
Number of days indicating how many days before or after the invoice due is the reminder sent.
footer_notes
nullable string
Footer notes for the invoice.
grand_total
string
Grand total amount for the invoice, including taxes, discounts, etc. This is applied only when invoice is external.
issue_date
nullable string
Time at which the invoice is issued.
items
associative array
Invoice line items.
language
string
Display language of the invoice. Java Locale format is used, for example - en_US.
memo
nullable string
Memo of the invoice.
number
string
Unique number of the invoice.
payment_gateways
enum
Payment gateways which will be available as payment options on checkout screen. Will be displayed only if configured. One of credit_card, stripe_ach, paypal, bank.
shipping_amount
number
Shipping amount of the invoice.
tax_items
associative array
Invoice tax items.
visibility
enum
Visibility of the invoice. One of private, internal, shared.

Returns​

Returns the invoice object if the update succeeded. Throws an error if update parameters are invalid.

put
/api/invoices/{id}
curl -X PUT https://{workspace}.kitchen.co/api/invoices/{id} \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'X-Requested-With: XMLHttpRequest' \
-H 'Authorization: Bearer {API_KEY}'
Response
{
"archived_at": null,
"amount": 675.65,
"billing_profile": "bp_0123bc88a70c86ed9d1feb73",
"charge_automatically": false,
"client": "u_62988d0392da49247a831d35",
"created_at": "2024-03-13T09:16:53+00:00",
"creator": "u_c13cc0aee4b5af7a42951898",
"currency": "USD",
"discount_amount": 341.47,
"discounts": [
{
"amount": 50.54,
"currency": "USD",
"id": "invti_81c4288ef04117d38e29b22c",
"title": "The discount item title",
"type": "percentage"
}
],
"due_date": "2024-07-20T23:59:59+00:00",
"due_date_in_days": 8,
"due_reminder_message": "The reminder message",
"due_reminder_send_date": "1982-07-22T00:00:00+00:00",
"due_reminder_send_days": 2,
"due_reminder_sent_at": null,
"file": null,
"finalized_at": null,
"footer_notes": null,
"id": "in_31d435a7f94fd8d87c36ecfd",
"is_external": false,
"issue_date": "2024-07-12T00:00:00+00:00",
"items": [
{
"amount": 675.65,
"currency": "USD",
"description": "The invoice item description",
"id": "invi_ac3074df0d1c309d12624399",
"quantity": "1.00",
"title": "The invoice item title"
}
],
"language": "en_US",
"marked_uncollectible_at": null,
"memo": null,
"meta": null,
"number": "PREFIX-00018",
"paid_at": null,
"payment_gateways": [],
"recurring_invoice": null,
"status": "paid",
"tax_items": [
{
"amount": 46.3,
"currency": "USD",
"id": "invti_e5d2b8e5d9a4017b84c95b47",
"title": "The tax item title"
}
],
"tax_amount": 154.73,
"shipping_amount": 19.99,
"total_amount": 508.9,
"type": "invoice",
"updated_at": "2024-03-13T09:16:53+00:00",
"voided_at": null,
"visibility": "shared"
}